%define section free

Summary:        Various reusable swing based components
Name:           swidgets
Version:        0.1
Release:        1jpp
Epoch:          0
Group:          Development
License:        BSD
URL:            http://swidgets.tigris.org/
Source0:        http://swidgets.tigris.org/files/documents/1472/18566/swidgets-0.1-src.zip
Requires:       toolbar
BuildRequires:  ant >= 0:1.6.1
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  toolbar
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage

%description
The swidgets project is made up of various GUI controls for building
a feature rich GUI application.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -c

%build
export CLASSPATH=$(build-classpath toolbar)
pushd src
%javac `find . -name "*.java"`
%jar cvfm %{name}.jar /dev/null `find . -name "*.class"`
popd
%__mkdir_p javadocs
%javadoc -sourcepath src \
         -d javadocs org.tigris.%{name}

%install
rm -rf %{buildroot}

# jars
%__install -D -p -m 644 src/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a javadocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
%__rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Feb 21 2005 David Walluck <david@jpackage.org> 0:0.1-1jpp
- release

